## org.gnu.gtk
Class CellRendererText.Attribute

    java.lang.Object
      org.gnu.gtk.CellRendererAttribute
          org.gnu.gtk.CellRendererText.Attribute

Enclosing class:
  CellRendererText

public static class CellRendererText.Attribute
extends CellRendererAttribute

Attributes which may be used to connect to data in a `TreeModel` via methods in the `TreeViewColumn` object.

Note that these should usually be set to PANGO constants.

Field Summary
`static CellRendererText.Attribute` `ATTRIBUTES` (pango.AttrList) A list of style attributes to apply to the text of the renderer
`static CellRendererText.Attribute` `BACKGROUND` (String) Background color
`static CellRendererText.Attribute` `BACKGROUND_GDK` (gdk.Color) Background color
`static CellRendererText.Attribute` `EDITABLE` (boolean) Whether the text can be modified by the user
`static CellRendererText.Attribute` `FONT` (String) Font description as a string
`static CellRendererText.Attribute` `FONT_FAMILY` (String) Name of the font family, e.g.
`static CellRendererText.Attribute` `FOREGROUND` (String) Foreground color
`static CellRendererText.Attribute` `FOREGROUND_GDK` (gdk.Color) Foreground color
`static CellRendererText.Attribute` `MARKUP` (String) Marked up text to render
`static CellRendererText.Attribute` `RISE` (int) Offset of text above the baseline (below the baseline if rise is negative)
`static CellRendererText.Attribute` `SCALE` (double) Font scaling factor
`static CellRendererText.Attribute` `SIZE` (int) Font Size
`static CellRendererText.Attribute` `STRIKETHROUGH` (boolean) Whether to strike through the text
`static CellRendererText.Attribute` `TEXT` (String) Text to render
`static CellRendererText.Attribute` `UNDERLINE` (pango.Underline) Style of underline for this text
`static CellRendererText.Attribute` `WEIGHT` (Int) Font Weight (see pango.Weight)

Methods inherited from class org.gnu.gtk.CellRendererAttribute
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT

    public static final CellRendererText.Attribute TEXT

  (String) Text to render

### MARKUP

    public static final CellRendererText.Attribute MARKUP

  (String) Marked up text to render

### ATTRIBUTES

    public static final CellRendererText.Attribute ATTRIBUTES

  (pango.AttrList) A list of style attributes to apply to the text of the renderer

### BACKGROUND

    public static final CellRendererText.Attribute BACKGROUND

  (String) Background color

### BACKGROUND_GDK

    public static final CellRendererText.Attribute BACKGROUND_GDK

  (gdk.Color) Background color

### FOREGROUND

    public static final CellRendererText.Attribute FOREGROUND

  (String) Foreground color

### FOREGROUND_GDK

    public static final CellRendererText.Attribute FOREGROUND_GDK

  (gdk.Color) Foreground color

### EDITABLE

    public static final CellRendererText.Attribute EDITABLE

  (boolean) Whether the text can be modified by the user

### FONT

    public static final CellRendererText.Attribute FONT

  (String) Font description as a string

### FONT_FAMILY

    public static final CellRendererText.Attribute FONT_FAMILY

  (String) Name of the font family, e.g. Sans, Helvetica, Times, Monospace

### WEIGHT

    public static final CellRendererText.Attribute WEIGHT

  (Int) Font Weight (see pango.Weight)

### SIZE

    public static final CellRendererText.Attribute SIZE

  (int) Font Size

### SCALE

    public static final CellRendererText.Attribute SCALE

  (double) Font scaling factor

### RISE

    public static final CellRendererText.Attribute RISE

  (int) Offset of text above the baseline (below the baseline if rise is negative)

### STRIKETHROUGH

    public static final CellRendererText.Attribute STRIKETHROUGH

  (boolean) Whether to strike through the text

### UNDERLINE

    public static final CellRendererText.Attribute UNDERLINE

  (pango.Underline) Style of underline for this text